Contents

# Dir Function

Vraća ime datoteke, direktorij, ili sve datoteke i direktorije na disku ili u direktoriju koji odgovara navedenoj putanji traženja.

### Syntax:

    Dir [(PathName As String [, Attributes As Integer])]

### Return value:

Znakovni niz

### Parameters:

PathName: Any string expression that specifies the search path, directory or file. This argument can only be specified the first time that you call the Dir function. If you want, you can enter the path in URL notation.

Attributes:Any integer expression that specifies bitwise file attributes. The Dir function only returns files or directories that match the specified attributes. You can combine several attributes by adding the attribute values:

0 : Normal files.

16 : Vraća samo ime direktorija.

Koristite ovo svojstvo za provjeru da li direktorij postoji, ili za određivanje svih datoteka i mapa u određenom direktoriju.

Da bi probjerili postoji li datoteka, unesite kompletnu putanju i ime datoteke. Ako datoteka ili direktorij ne postoji, Dir funkcija vraća niz znakova duljine nula ("").

To generate a list of all existing files in a specific directory, proceed as follows: The first time you call the Dir function, specify the complete search path for the files, for example, "D:\Files\*.ods". If the path is correct and the search finds at least one file, the Dir function returns the name of the first file that matches the search path. To return additional file names that match the path, call Dir again, but with no arguments.

To return directories only, use the attribute parameter. The same applies if you want to determine the name of a volume (for example, a hard drive partition).

### Error codes:

5 Invalid procedure call

53 - Dokument nije pronađen

### Example:

    Sub ExampleDir
    REM Prikazuje sve datoteke i direktorije
    Dim sPath As String
    Dim sDir As String, sValue As String
        sDir="Directories:"
        sPath = CurDir
        sValue = Dir$(sPath + getPathSeparator + "*",16)
        Do
            If sValue <> "." And sValue <> ".." Then
                If (GetAttr( sPath + getPathSeparator + sValue) And 16) >0 Then
                    REM dohvati direktorije
                    sDir = sDir & chr(13) & sValue
                End If
            End If
            sValue = Dir$
        Loop Until sValue = ""
        MsgBox sDir,0,sPath
    End Sub

Related Topics

CurDir Function

CompatibilityMode() Function

Option VBASupport Statement